using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

/// <summary>
/// PV 浏览记录
/// </summary>
public class KnowledgePv : CreationEntity
{
    /// <summary>
    /// 知识Code
    /// </summary>
    [SugarColumn(ColumnDescription = "知识Id")]
    public string? KnowledgeId { get; set; }

    /// <summary>
    /// 知识Code
    /// </summary>
    [SugarColumn(ColumnDescription = "知识Code")]
    public string KnowledgeCode { get; set; }

    /// <summary>
    /// 浏览完成时间
    /// </summary>
    [SugarColumn(ColumnDescription = "浏览完成时间")]
    public DateTime? PvEndTime { get; set; }

    /// <summary>
    /// 浏览时长
    /// </summary>
    [SugarColumn(ColumnDescription = "浏览时长")]
    public int? BrowseTime { get; set; }
}